### Constructor

# GimpUi ZoomPreview new_from_drawable

since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_zoom_preview_new_from_drawable (
      GimpDrawable* drawable
    )

#### Description [src]

Creates a new `GimpZoomPreview` widget for `drawable`.

Available since: 3.0

#### Parameters

`drawable`

  Type: `GimpDrawable`

  A drawable.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GimpZoomPreview`.

The data is owned by the called function.